For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • POSTCreate Amenity: Realpage - Not Supported
        • PUTUpdate Amenity: Realpage - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RealPage Registered VendorAmenities

Create Amenity: Realpage - Not Supported

POST
/v1/amenities/realpage/
POST
/v1/amenities/realpage/
$curl -X POST https://api.propexo.com/v1/amenities/realpage/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
Realpage does not support creating an amenity via their API. This endpoint will always return a 405, with an error message specifying that creating an amenity in a Realpage integration is not supported due to the lack of upstream support.
Was this page helpful?
Previous

Update Amenity: Realpage - Not Supported

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.

Response

Successful response

Errors

400
Bad Request Error